<script>
    export default {
        props: [
            'href',
            'dataId'
        ],
        data() {
            return {
                popoverShow: false,
                loader: false
            }
        },
        methods: {

            onClose() {
                this.popoverShow = false
                this.loader = false
            },

            onOk() {
                this.loader = true
                this.deleteObject()
            },

            deleteObject() {
                axios.delete(this.href)
                    .then(response => {
                        let data = response.data


                        console.log(data)

                        this.onClose()

                        Vue.toasted.show(Vue.prototype.jsTrans('flash.destroy_success'), {
                            icon: {
                                name: 'thumbs-up',
                                after: false
                            },
                            className: "bg-success",
                            duration: 3000,
                            theme: "primary",
                            position: "bottom-right"
                        })

                        if(data.hasOwnProperty('route')) {
                            setTimeout(function () {
                                window.location.href = data.route;
                            }, 500);
                        }

                    })
                    .catch(error => {
                        this.onClose()

                        var response = error.response

                        Vue.toasted.show(Vue.prototype.jsTrans('flash.destroy_error'), {
                            icon: {
                                name: 'thumbs-down',
                                after: false
                            },
                            theme: "primary",
                            position: "bottom-right",
                            action: [
                                {
                                    text: 'Recarregar',
                                    onClick: (e, toastObject) => {
                                        toastObject.goAway(0); // Fecha o Toast
                                        window.location.href = response.data.route // Recarrega a página
                                    }
                                },
                                {
                                    text: 'Cancelar',
                                    // router navigation
                                    onClick: (e, toastObject) => {
                                        toastObject.goAway(0);
                                    }
                                }
                            ]
                        });
                    });
            }
        }
    }
</script>

<template src="./trashBtn.html"></template>